package com.ruoyi.project.check.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 检测仪器校准对象 t_check_calibration
 *
 * @author ruoyi
 * @date 2022-11-23
 */
public class TCheckCalibration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识id */
    private Long id;

    /** 校准时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "校准时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date calibrationTime;

    /** 校准人员 */
    @Excel(name = "校准人员")
    private String calibrationUser;

    @Excel(name = "仪器编号")
    @TableField(exist = false)
    private String instrumentCode;

    @Excel(name = "仪器名称")
    @TableField(exist = false)
    private String instrumentName;

    @Excel(name = "仪器类型")
    @TableField(exist = false)
    private String instrumentType;

    @Excel(name = "标准气名称")
    @TableField(exist = false)
    private String standardgasesName;

    @Excel(name = "标准气有效期")
    @TableField(exist = false)
    private String standardgasesLifespan;

    @Excel(name = "标准气浓度(ppm)")
    @TableField(exist = false)
    private String standardgasesConcentration;


    /** 仪器id */
    private Long instrumentId;

    /** 标气id */
    private Long standardgasesId;

    /** 零气浓度值 */
    @Excel(name = "零气浓度值(ppm)")
    private String zerogasConcentration;

    /** 零气校准值 */
    @Excel(name = "零气校准值(ppm)")
    private String zerogasCalibration;

    /** 标气校准值 */
    @Excel(name = "标气校准值(ppm)")
    private String standardgasesCalibration;

    /** 漂移核查值 */
    @Excel(name = "漂移核查值(ppm)")
    private String driftCheck;

    /** 过滤片检查 */
    @Excel(name = "过滤片检查",dictType = "yes_no")
    private String filterCheck;

    /** 气密性检查 */
    @Excel(name = "气密性检查",dictType = "airtightness_check")
    private String airtightnessCheck;

    /** 流量检查 */
    @Excel(name = "流量检查(0.1-3)L/min")
    private String flowCheck;

    /** 气体钢瓶压力 */
    @Excel(name = "气体钢瓶压力(Bar)")
    private String pressure;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 状态 1 ：正常 ；0：删除 */
    private Integer delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;


    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updatedate;

    public String getStandardgasesConcentration() {
        return standardgasesConcentration;
    }

    public void setStandardgasesConcentration(String standardgasesConcentration) {
        this.standardgasesConcentration = standardgasesConcentration;
    }

    public String getstandardgasesLifespan() {
        return standardgasesLifespan;
    }

    public void setstandardgasesLifespan(String standardgasesLifespan) {
        this.standardgasesLifespan = standardgasesLifespan;
    }

    public String getStandardgasesName() {
        return standardgasesName;
    }

    public void setStandardgasesName(String standardgasesName) {
        this.standardgasesName = standardgasesName;
    }

    public String getInstrumentCode() {
        return instrumentCode;
    }

    public void setInstrumentCode(String instrumentCode) {
        this.instrumentCode = instrumentCode;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public String getInstrumentType() {
        return instrumentType;
    }

    public void setInstrumentType(String instrumentType) {
        this.instrumentType = instrumentType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCalibrationTime(Date calibrationTime)
    {
        this.calibrationTime = calibrationTime;
    }

    public Date getCalibrationTime()
    {
        return calibrationTime;
    }
    public void setCalibrationUser(String calibrationUser)
    {
        this.calibrationUser = calibrationUser;
    }

    public String getCalibrationUser()
    {
        return calibrationUser;
    }
    public void setInstrumentId(Long instrumentId)
    {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId()
    {
        return instrumentId;
    }
    public void setStandardgasesId(Long standardgasesId)
    {
        this.standardgasesId = standardgasesId;
    }

    public Long getStandardgasesId()
    {
        return standardgasesId;
    }
    public void setZerogasConcentration(String zerogasConcentration)
    {
        this.zerogasConcentration = zerogasConcentration;
    }

    public String getZerogasConcentration()
    {
        return zerogasConcentration;
    }
    public void setZerogasCalibration(String zerogasCalibration)
    {
        this.zerogasCalibration = zerogasCalibration;
    }

    public String getZerogasCalibration()
    {
        return zerogasCalibration;
    }
    public void setStandardgasesCalibration(String standardgasesCalibration)
    {
        this.standardgasesCalibration = standardgasesCalibration;
    }

    public String getStandardgasesCalibration()
    {
        return standardgasesCalibration;
    }
    public void setDriftCheck(String driftCheck)
    {
        this.driftCheck = driftCheck;
    }

    public String getDriftCheck()
    {
        return driftCheck;
    }
    public void setFilterCheck(String filterCheck)
    {
        this.filterCheck = filterCheck;
    }

    public String getFilterCheck()
    {
        return filterCheck;
    }
    public void setAirtightnessCheck(String airtightnessCheck)
    {
        this.airtightnessCheck = airtightnessCheck;
    }

    public String getAirtightnessCheck()
    {
        return airtightnessCheck;
    }
    public void setFlowCheck(String flowCheck)
    {
        this.flowCheck = flowCheck;
    }

    public String getFlowCheck()
    {
        return flowCheck;
    }
    public void setPressure(String pressure)
    {
        this.pressure = pressure;
    }

    public String getPressure()
    {
        return pressure;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("calibrationTime", getCalibrationTime())
            .append("calibrationUser", getCalibrationUser())
            .append("instrumentId", getInstrumentId())
            .append("standardgasesId", getStandardgasesId())
            .append("zerogasConcentration", getZerogasConcentration())
            .append("zerogasCalibration", getZerogasCalibration())
            .append("standardgasesCalibration", getStandardgasesCalibration())
            .append("driftCheck", getDriftCheck())
            .append("filterCheck", getFilterCheck())
            .append("airtightnessCheck", getAirtightnessCheck())
            .append("flowCheck", getFlowCheck())
            .append("pressure", getPressure())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .toString();
    }
}
